# DBus-C++

## Desktop Communication Bus System

libdbus-c-- Documentation 0.9.0

- Files
- Data Structures
- Globals
- Main Page

Public Member Functions | List of all members
DBus::Path Struct Reference

`#include <types.h>`

Inheritance diagram for DBus::Path:

## Public Member Functions

| Path ()
| Path (const std::string &s)
| Path (const char *c)
Path & | operator= (std::string &s)

## Detailed Description

Definition at line 41 of file types.h.

## Constructor & Destructor Documentation

## ◆ Path() [1/3]

DBus::Path::Path | ( |  | ) |

inline

Definition at line 43 of file types.h.

Referenced by operator=().

## ◆ Path() [2/3]

DBus::Path::Path | ( | const std::string & | s | ) |

inline

Definition at line 44 of file types.h.

## ◆ Path() [3/3]

DBus::Path::Path | ( | const char * | c | ) |

inline

Definition at line 45 of file types.h.

## Member Function Documentation

## ◆ operator=()

Path & DBus::Path::operator= | ( | std::string & | s | ) |

inline

Definition at line 46 of file types.h.

References Path().

The documentation for this struct was generated from the following file:

- types.h